commit:     320d618796ca076900757349136a502080d904f4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  4 08:58:42 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jul  4 08:58:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=320d6187

media-libs/harfbuzz: Synced live ebuild.

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 media-libs/harfbuzz/harfbuzz-9999.ebuild | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/media-libs/harfbuzz/harfbuzz-9999.ebuild 
b/media-libs/harfbuzz/harfbuzz-9999.ebuild
index 81bf676d86a..c723137a7e5 100644
--- a/media-libs/harfbuzz/harfbuzz-9999.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=6
 
 PYTHON_COMPAT=( python2_7 )
 
-inherit flag-o-matic libtool ltprune multilib-minimal python-any-r1 xdg-utils
+inherit flag-o-matic libtool multilib-minimal python-any-r1 xdg-utils
 
 DESCRIPTION="An OpenType text shaping engine"
 HOMEPAGE="https://www.freedesktop.org/wiki/Software/HarfBuzz";
@@ -77,9 +77,6 @@ src_prepare() {
        [[ ${PV} == 9999 ]] && eautoreconf
        elibtoolize # for Solaris
 
-       # failing test, https://bugs.freedesktop.org/show_bug.cgi?id=89190
-       sed -e 's#tests/arabic-fallback-shaping.tests##' -i 
test/shaping/Makefile.in || die "sed failed"
-
        # bug 618772
        append-cxxflags -std=c++14
 }
@@ -108,5 +105,5 @@ multilib_src_configure() {
 
 multilib_src_install_all() {
        einstalldocs
-       prune_libtool_files --modules
+       find "${ED}" -name "*.la" -delete || die
 }

Reply via email to